Concealer

Latest Version 1.3.4

Build 304, 9.5 MBB

Availability

System Requirements:

macOS 10.10 or higher, Big Sur compatible, M1 chip or Intel processor.

Available in:

English and German.

Previous Versions

Version 1.3.2

For OS X 10.8-10.9 (5.9 MB)
Download

Version 1.2.1

For OS X 10.5.8—10.7 users (4.9 MB)
Download